package net.psammead.util;

/** miscellaneuos utility functions */
public class DebugUtil {
    /** fully static utility class, shall not be instantiated */
    private DebugUtil() {}
    
    /** return the last component of the class name of an Object */
    public static String shortClassName(Object o) {
    	if (o == null)	return "null";
        return shortType(o.getClass());
    }
    
    /** return the last component of the class name of an Object */
    public static String shortType(Class<?> c) {
        return shortType(c.getName());
    }

    /** returns the name of a fully qualified class name */
    public static String shortType(String type) {
        return type.replaceAll(".*\\.", "");
    } 
}
